### Function

# Fwupd Device problem_from_string

#### Declaration [src]

    FwupdDeviceProblem
    fwupd_device_problem_from_string (
      const gchar* device_problem
    )

#### Description [src]

Converts a string to a enumerated device inhibit kind.

Available since: | 1.8.1

#### Parameters

`device_problem` | `const gchar*`
| A string, e.g. `require-ac`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdDeviceProblem`
| Enumerated value.